<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style>
		#barra{
			height:30px;
			background-color: red;
			width:0px;
		}

		main{
			width:500px;
			height:300px;
			display:flex;
			flex-direction:row;
			justify-content: space-around;
		}

		
		.error1{
		    position: absolute;
    		left: 363px;
    		top: 34px;
    		opacity: 0;
    		
		}


		.error2{
			position: absolute;
    		left: 338px;
    		top: 64px;
    		opacity: 0;


    	}

		.error3{
			position: absolute;
    		left: 455px;
    		top: 69px;
    		opacity: 0;
		}

		.error4{
			position: absolute;
    		left: 369px;
    		top: 56px;
    		opacity: 0;
		}

		.error5{
			position: absolute;
    		left: 339px;
    		top: 168px;
    		opacity: 0;
		}



	</style>

	<script type="text/javascript">
		
	window.addEventListener("load",(e)=>{
		let barra=document.querySelector("#barra");
		let apuntador;
		barra.style.width="0px";

		setTimeout((e) => {
			clearInterval(apuntador);
		  
		},60000)


		apuntador=setInterval((e) => {

		barra.style.width=parseInt(barra.style.width)+13+"px";
	  
	}, 1000)

	

		document.querySelector(".imagenes").addEventListener("click",(e)=>{

		

			let pinchado=e.target;
			console.log(pinchado);
			console.log(e);
			pinchado.style.opacity = 1;


			let e1=document.querySelector(".error1");
			let e2=document.querySelector(".error2");
			let e3=document.querySelector(".error3");
			let e4=document.querySelector(".error4");
			let e5=document.querySelector(".error5");


			if(e1.style.opacity==1 && e2.style.opacity==1 && e3.style.opacity==1 && e4.style.opacity==1 && e5.style.opacity==1){
				alert("Has ganado");
				clearInterval(apuntador);
			}

		})





	});


	</script>
</head>
<body>
	<main>

	<div><img id="nino" src="2mal.png"/></div>
	<div class="imagenes"><img src="2bien.png"/>
		
		<img src="tic.jpg" class="error1">
		<img src="tic.jpg" class="error2">
		<img src="tic.jpg" class="error3">
		<img src="tic.jpg" class="error4">
		<img src="tic.jpg" class="error5">


	</div>
	</main>

	<div id="barra"></div>
	
</body>
</html>